<template>
  <div class="poll w-100 bg-dark-blue p-4">
    <h4 class="text-excelsior-caps text-white mb-3">{{ poll.title }}</h4>
    <div class="row">
      <div class="col-md-6 mb-3" v-for="(answer, key) in poll.answers" :key="key">
        <div
          class="poll__answer cursor-pointer bg-white w-100 d-flex justify-content-between align-items-center position-relative"
        >
          <div
            class="poll__answer__line"
            :class="getLineClass(answer.percent)"
            :style="{ width: `${answer.percent}%` }"
          ></div>
          <div class="col-md-2 p-0 h-100">
            <a :href="`/player/${answer.item.id}`">
              <img
                class="w-100 h-100 object-fit:cover"
                :src="answer.item.image ? `/storage/${answer.item.image}` : '/images/no-image.png'"
                :alt="answer.item.full_name"
                :title="answer.item.full_name"
              >
            </a>
          </div>
          <div
            class="flex-grow-1 h-100 p-2 d-flex justify-content-between align-items-center"
            @click="redirect(answer.item.id)"
          >
            <div>
              <span class="d-block w-100 text-excelsior-caps text-black">{{ answer.item.full_name }}</span>
              <span
                class="text-gray text-excelsior-caps"
              >{{ answer.answers_count }} {{ trans('vote') }}</span>
            </div>
            <span class="poll__answer__percentage text-black">{{ answer.percent }}%</span>
          </div>
          <button
            @click="vote(key)"
            :disabled="!canVote"
            class="poll__answer__button d-flex justify-content-center align-items-center p-0 h-100 border-0"
          >
            <i class="far fa-heart"></i>
          </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import pollMethods from '../mixins/pollMethods';

export default {
  name: 'PollPlayer',
  mixins: [pollMethods],
  data() {
    return {
      pollId: window.playersPollId,
      userId: window.userId
    };
  },
  methods: {
    getLineClass(percentage) {
      const className = 'poll__answer__line--';
      if (percentage <= 10 && percentage < 20) {
        return className + '1';
      }
      if (percentage <= 20 && percentage < 30) {
        return className + '2';
      }
      if (percentage >= 30 && percentage < 40) {
        return className + '3';
      }
      return className + '4';
    }
  }
};
</script>

<style lang="scss">
</style>
